import { View, ScrollView } from '@tarojs/components'
import { useCallback, forwardRef, useEffect, useMemo, useRef, useState, memo, useImperativeHandle, } from 'react'
import Search from '@/components/search'
import styles from "./index.module.scss"
import classnames from "classnames";
import Popup from '@/components/popup'
import Goods from "@/components/goodsItem"

interface prosObj {
    showPopup?: false | true,
    closePopup?: () => void,
    goodList?: any[],
    typeList?: any[],
    handCheck?: (any) => void
}
export default memo(forwardRef((props: prosObj, ref) => {
    const {
        showPopup = false,
        closePopup,
        goodList = [],
        typeList = [],
        handCheck
    } = props

    useImperativeHandle(ref, () => ({
        Object: props,
        typeList: typeList
    }))



    //判断选择的类型
    const showModefont = useMemo(() => {
        const modeObj = typeList.filter(item => {
            return item.checked
        })
        if (modeObj[0].id === 0) {
            return '条'
        } else {
            return '米'
        }
    }, [typeList])

    //输入了搜索关键字
    const getSearchData = useCallback((e) => {

    }, [])

    //商品数据
    // const [goodList, setGoodlist] = useState<any[]>(['a'])


    //点击加
    const addNums = (item) => {
        console.log(item, 4444)
    }

    //输入框监听
    const oninputEvent = useCallback((e, obj) => {
        console.log(e, obj, '123123')
    }, [])


    return (
        <Popup showTitle={false} show={showPopup} onClose={() => closePopup?.()}>
            <View className={styles.shopcartBox}>
                <View className={styles.topTitle}>0681# 26S全棉平纹</View>
                <View className={styles.selectFont}>已选 1 种面料，1 个颜色，共 4 {showModefont}</View>
                <View className={styles.line}></View>
                <View className={styles.typeFont}>布料类型</View>
                <View className={styles.flexType}>
                    {
                        typeList.map((item, index) => {
                            return (
                                <View onClick={() => { handCheck?.(item) }} key={index} className={classnames(item.checked ? styles.activemodeFont : styles.modeFont)}>{item.name}</View>
                            )
                        })
                    }
                </View>
                <View className={styles.line}></View>
                <View className={styles.kingFont}>颜色分类(33)</View>
                <View className={styles.searchBox}>
                    <Search placeholder='请输入搜索布料' showBtn={false} changeOnSearch={getSearchData} debounceTime={300} />
                </View>
                <ScrollView
                    className={styles.scrollview}
                    scroll-y={true}
                    showScrollbar={false}
                    enhanced={true}
                >

                    {
                        goodList.map((item, index) => {
                            return (
                                <Goods key={index} value={item} onInputEven={(e, obj) => oninputEvent(e, obj)} clickAdd={(item) => addNums(item)} ></Goods>
                            )
                        })
                    }
                </ScrollView>

            </View>
        </Popup>

    )
}))